# PetscMapSetType

Builds a map, for a particular map implementation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscMapSetType(PetscMap map, const PetscMapType method)

Collective on PetscMap

### Input Parameters

| map | - The PetscMap object
| method | - The name of the map type

### Options Database Command

-map_type <method> -Sets the method; use -help for a list of available methods (for instance, mpi)

### Notes

See "petsc/include/vec.h" for available vector types (for instance, MAP_MPI).

### Keywords

map, set, type

### See Also

PetscMapGetType(), PetscMapCreate()

Level:intermediate
Location:src/vec/interface/mapreg.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages